NewStart CGSL CORE 5.05 / MAIN 5.05 : sssd Vulnerability (NS-SA-2022-0044)

high Nessus Plugin ID 160872

Synopsis

The remote NewStart CGSL host is affected by a vulnerability.

Description

The remote NewStart CGSL host, running version CORE 5.05 / MAIN 5.05, has sssd packages installed that are affected by a vulnerability:

- A flaw was found in SSSD, where the sssctl command was vulnerable to shell command injection via the logs- fetch and cache-expire subcommands. This flaw allows an attacker to trick the root user into running a specially crafted sssctl command, such as via sudo, to gain root access. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability. (CVE-2021-3621)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the vulnerable CGSL sssd packages. Note that updated packages may not be available yet. Please contact ZTE for more information.

See Also

http://security.gd-linux.com/notice/NS-SA-2022-0044

http://security.gd-linux.com/info/CVE-2021-3621

Plugin Details

Severity: High

ID: 160872

File Name: newstart_cgsl_NS-SA-2022-0044_sssd.nasl

Version: 1.2

Type: local

Published: 5/10/2022

Updated: 5/10/2022

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-3621

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:zte:cgsl_core:libipa_hbac, p-cpe:/a:zte:cgsl_core:libipa_hbac-devel, p-cpe:/a:zte:cgsl_core:libsss_autofs, p-cpe:/a:zte:cgsl_core:libsss_certmap, p-cpe:/a:zte:cgsl_core:libsss_certmap-devel, p-cpe:/a:zte:cgsl_core:libsss_idmap, p-cpe:/a:zte:cgsl_core:libsss_idmap-devel, p-cpe:/a:zte:cgsl_core:libsss_nss_idmap, p-cpe:/a:zte:cgsl_core:libsss_nss_idmap-devel, p-cpe:/a:zte:cgsl_core:libsss_simpleifp, p-cpe:/a:zte:cgsl_core:libsss_simpleifp-devel, p-cpe:/a:zte:cgsl_core:libsss_sudo, p-cpe:/a:zte:cgsl_core:python-libipa_hbac, p-cpe:/a:zte:cgsl_core:python-libsss_nss_idmap, p-cpe:/a:zte:cgsl_core:python-sss, p-cpe:/a:zte:cgsl_core:python-sss-murmur, p-cpe:/a:zte:cgsl_core:python-sssdconfig, p-cpe:/a:zte:cgsl_core:sssd, p-cpe:/a:zte:cgsl_core:sssd-ad, p-cpe:/a:zte:cgsl_core:sssd-client, p-cpe:/a:zte:cgsl_core:sssd-common, p-cpe:/a:zte:cgsl_core:sssd-common-pac, p-cpe:/a:zte:cgsl_core:sssd-dbus, p-cpe:/a:zte:cgsl_core:sssd-debuginfo, p-cpe:/a:zte:cgsl_core:sssd-ipa, p-cpe:/a:zte:cgsl_core:sssd-kcm, p-cpe:/a:zte:cgsl_core:sssd-krb5, p-cpe:/a:zte:cgsl_core:sssd-krb5-common, p-cpe:/a:zte:cgsl_core:sssd-ldap, p-cpe:/a:zte:cgsl_core:sssd-libwbclient, p-cpe:/a:zte:cgsl_core:sssd-libwbclient-devel, p-cpe:/a:zte:cgsl_core:sssd-polkit-rules, p-cpe:/a:zte:cgsl_core:sssd-proxy, p-cpe:/a:zte:cgsl_core:sssd-tools, p-cpe:/a:zte:cgsl_core:sssd-winbind-idmap, p-cpe:/a:zte:cgsl_main:libipa_hbac, p-cpe:/a:zte:cgsl_main:libipa_hbac-devel, p-cpe:/a:zte:cgsl_main:libsss_autofs, p-cpe:/a:zte:cgsl_main:libsss_certmap, p-cpe:/a:zte:cgsl_main:libsss_certmap-devel, p-cpe:/a:zte:cgsl_main:libsss_idmap, p-cpe:/a:zte:cgsl_main:libsss_idmap-devel, p-cpe:/a:zte:cgsl_main:libsss_nss_idmap, p-cpe:/a:zte:cgsl_main:libsss_nss_idmap-devel, p-cpe:/a:zte:cgsl_main:libsss_simpleifp, p-cpe:/a:zte:cgsl_main:libsss_simpleifp-devel, p-cpe:/a:zte:cgsl_main:libsss_sudo, p-cpe:/a:zte:cgsl_main:python-libipa_hbac, p-cpe:/a:zte:cgsl_main:python-libsss_nss_idmap, p-cpe:/a:zte:cgsl_main:python-sss, p-cpe:/a:zte:cgsl_main:python-sss-murmur, p-cpe:/a:zte:cgsl_main:python-sssdconfig, p-cpe:/a:zte:cgsl_main:sssd, p-cpe:/a:zte:cgsl_main:sssd-ad, p-cpe:/a:zte:cgsl_main:sssd-client, p-cpe:/a:zte:cgsl_main:sssd-common, p-cpe:/a:zte:cgsl_main:sssd-common-pac, p-cpe:/a:zte:cgsl_main:sssd-dbus, p-cpe:/a:zte:cgsl_main:sssd-debuginfo, p-cpe:/a:zte:cgsl_main:sssd-ipa, p-cpe:/a:zte:cgsl_main:sssd-kcm, p-cpe:/a:zte:cgsl_main:sssd-krb5, p-cpe:/a:zte:cgsl_main:sssd-krb5-common, p-cpe:/a:zte:cgsl_main:sssd-ldap, p-cpe:/a:zte:cgsl_main:sssd-libwbclient, p-cpe:/a:zte:cgsl_main:sssd-libwbclient-devel, p-cpe:/a:zte:cgsl_main:sssd-polkit-rules, p-cpe:/a:zte:cgsl_main:sssd-proxy, p-cpe:/a:zte:cgsl_main:sssd-tools, p-cpe:/a:zte:cgsl_main:sssd-winbind-idmap, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

Required KB Items: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 5/8/2022

Vulnerability Publication Date: 8/16/2021

Reference Information

CVE: CVE-2021-3621